package dto

// CreateCollectionRequest 创建集合请求
type CreateCollectionRequest struct {
	Name        string   `json:"name" validate:"required|minLen:1"`
	WorkspaceID EntityId `json:"workspace_id" validate:"required"`
}

// GetCollectionRequest 获取集合请求
type GetCollectionRequest struct {
	ID EntityId `params:"id"`
}

// DeleteCollectionRequest 删除集合请求
type DeleteCollectionRequest struct {
	ID EntityId `params:"id"`
}

// ListCollectionsRequest 列出工作空间下的集合请求
type ListCollectionsRequest struct {
	WorkspaceID EntityId `params:"workspace_id"`
}

// UpdateCollectionRequest 更新集合请求
type UpdateCollectionRequest struct {
	Name string `json:"name" validate:"required|minLen:1"`
}
